# Plot_summary User's Manual

## Plot_summary User Manual

This document describes the use of the NTP Project's `plot_summary` program. This document applies to version 4.2.8p7 of `plot_summary`.

## Short Contents

Plot_summary User Manual

### Invoking plot_summary

This section was generated by AutoGen, using the `agtexi-cmd` template and the option descriptions for the `plot_summary` program.

#### plot_summary help/usage (--help)

This is the automatically generated usage text for plot_summary.

The text printed is the same whether selected with the `help` option (--help) or the `more-help` option (--more-help). `more-help` will print the usage text by passing it through a pager program. `more-help` is disabled on platforms without a working `fork(2)` function. The `PAGER` environment variable is used to select the program, defaulting to more. Both will exit with a status code of 0.

    plot_summary - plot statistics generated by summary script - Ver. 4.2.8p7
    USAGE: plot_summary [ -<flag> [<val>] | --<name>[{=| }<val>] ]...

            --directory=str          Where the summary files are
            --identifier=str         Origin of the data
            --offset-limit=float     Limit of absolute offset
            --peer=str               Peers to generate plots for
                                       - may appear multiple times
            --plot-term=str          Gnuplot terminal
            --output-file=str        Output file
            --dont-wait              Don't wait for keystroke between plots
        -?, --help                   Display usage information and exit
            --more-help              Pass the extended usage text through a pager

    Options are specified by doubled hyphens and their name or by a single
    hyphen and the flag character.

#### directory option

This is the “where the summary files are” option. This option takes a string argument. The directory where the `plot_summary` will search for the *_summary files generated by `summary` script.

#### identifier option

This is the “origin of the data” option. This option takes a string argument. Where does the plotted data come from, default to string "host" plus current hostname

#### peer option

This is the “peers to generate plots for” option. This option takes a string argument.

This option has some usage constraints. It:

- may appear an unlimited number of times.

By default the peer_summary plots are not generated. Use this option to specify list of peers if you want to generate plots for them.

#### plot-term option

This is the “gnuplot terminal” option. This option takes a string argument. This is string is passed directly to the `gnuplot set terminal` command. Default is `x11` if `DISPLAY` is set and `dumb` is it's not'. See output from -e "set terminal") for the list of avalaible options.

#### output-file option

This is the “output file” option. This option takes a str argument. Output file for `gnuplot`, default to stdout.

#### plot_summary exit status

One of the following exit values will be returned:

0 (EXIT_SUCCESS)
  Successful program execution.
1 (EXIT_FAILURE)
  The operation failed or the command syntax was not valid.